QGIS Application - Bug report #6979

Couldn't load plugin openlayers_plugin due an error when calling its initGui() method

2013-01-10 06:53 AM - Andy Wood

Status: Closed
Priority: Normal
Assignee:
Category:

Affected QGIS version:master
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 16084

Description

Using openlayers_plugin 1.0.0

Couldn't load plugin openlayers_plugin due an error when calling its initGui() method

Traceback (most recent call last):

File "/usr/lib/python2.7/dist-packages/qgis/utils.py", line 198, in startPlugin

plugins[packageName].initGui()

File "/home/agw/.qgis//python/plugins/openlayers_plugin/openlayers_plugin.py", line 160, in initGui

if not self.__setCoordRSGoogle():

File "/home/agw/.qgis//python/plugins/openlayers_plugin/openlayers_plugin.py", line 211, in _setCoordRSGoogle

if not self._coordRSGoogle.createFromEpsg(idEpsgRSGoogle):

AttributeError: '‘QgsCoordinateReferenceSystem' object has no attribute 'createFromEpsg’

Python version:

2.7.3rc2 (default, Apr 22 2012, 22:55:44)

[GCC 4.6.3]

QGIS version:
1.9.0-Master Master, 4ddcb3e

Python path: ['/home/agw/.qgis/python/plugins/GeoCoding', '/usr/share/qgis/python’, '/home/agw/.qgis//python’,

'’home/agw/.qgis//python/plugins’, '/usr/share/qgis/python/plugins', '/usr/lib/python2.7', '/usr/lib/python2.7/plat-linux2’,

"fusr/lib/python2.7/lib-tk', '/usr/lib/python2.7/lib-old', '/usr/lib/python2.7/lib-dynload’, ‘/usr/local/lib/python2.7/dist-packages’,

'fusr/lib/python2.7/dist-packages', '/ust/lib/python2.7/dist-packages/PIL'", '/ust/lib/python2.7/dist-packages/gst-0.10',

"/usr/lib/python2.7/dist-packages/gtk-2.0", '/usr/lib/pymodules/python2.7', '/usr/lib/python2.7/dist-packages/wx-2.8-gtk2-unicode']

History

#1 - 2013-01-10 08:56 AM - Salvatore Larosa

- Status changed from Open to Closed

duplicate of #6916

two possible workarounds at the moment:

1. http:/goo.gl/yROJE
2. apply this patch http:/goo.gl/S9UkZ

2024-03-20

1/3



http://goo.gl/yR0JE
http://goo.gl/S9UkZ

#2 - 2013-01-11 06:41 AM - stefano campus

in my case, first method doesn't work

Impossibile caricare il plugin openlayers a causa di errore chiamando il metodo classFactory()

Traceback (most recent call last):

File "C:/OSGeo4W/apps/qgis-dev/./python\\qgis\\utils.py", line 189, in startPlugin
plugins[packageName] = package.classFactory(iface)

File "C:/Documents and Settings/11186CS/.qgis//python/plugins\\openlayers\\ _init__.py", line 48, in classFactory
from openlayers_plugin import OpenlayersPlugin

File "C:/OSGeo4W/apps/qgis-dev/./python\\qgis\\utils.py", line 438, in _import
mod = _builtin_import(name, globals, locals, fromlist, level)

File "C:/Documents and Settings/11186CS/.qgis//python/plugins\\openlayers\\openlayers_plugin.py", line 4

A

SyntaxError: invalid syntax

Versione Python:
2.7.2 (default, Jun 12 2011, 15:08:59) [MSC v.1500 32 bit (Intel)]

Versione di QGIS:

1.9.0-Master Master, be94fb7

#3 - 2013-01-11 07:48 AM - Salvatore Larosa

very odd, it should work !

Have you selected "Raw" before of saved the file to plugin directory ?

#4 - 2013-01-12 07:53 AM - stefano campus

forgive me, salvatore, i don't understand wthat do you mean with "raw"

i see another user who has same difficulty (http:/gis.stackexchange.com/questions/46645/openlayers-plugin-and-qgis-1-9-error-after-install).

#5 - 2013-01-12 10:14 AM - Salvatore Larosa

- File buttonGitHub.png added

- File openlayers_plugin.py added

stefano campus wrote:

forgive me, salvatore, i don't understand wthat do you mean with "raw"

| am aware that was not a good advice !! :-)

Anyway, | meant the button on github (see attached image)

i see another user who has same difficulty (http.//gis.stackexchange.com/questions/46645/openlayers-plugin-and-qgis-1-9-error-after-install).

Could you give a try with the attached py file ?
#6 - 2013-01-12 10:21 AM - Giovanni Manghi
Salvatore Larosa wrote:
stefano campus wrote:
forgive me, salvatore, i don't understand wthat do you mean with "raw"

| am aware that was not a good advice !! :-)

Anyway, | meant the button on github (see attached image)

i see another user who has same difficulty (http.//gis.stackexchange.com/questions/46645/openlayers-plugin-and-qgis-1-9-error-after-install).

Could you give a try with the attached py file ?

with the attached patched file the plugin works as expected, can someone make a push with the maintainers to have the plugin updated?

#7 - 2013-01-12 10:24 AM - Jiirgen Fischer

Giovanni Manghi wrote:

with the attached patched file the plugin works as expected, can someone make a push with the maintainers to have the plugin updated?

Please follow up in the plugin's ticket #6916 - this ticket is closed.

Files
buttonGitHub.png 3.93 KB 2013-01-12 Salvatore Larosa
openlayers_plugin.py 9.99 KB 2013-01-12 Salvatore Larosa
